# # Specify list of admin settings that cannot be changed in the drive preferences. The value of these settings is not specified here and must be specified separately.   Values that can be controlled:  checkin_mode_new_version,   delete_documents,   delete_folders,   proxy_server_mode,   prompt_for_authentication_dialog,   proxy_server_url 
# # Example: 
# # admin_setting_controlled_values: 
# # - checkin_mode_new_version 
# # - delete_folders 
# # - delete_documents 
# # - delete_folders 
# # - proxy_server_mode 
# # - proxy_server_url 
# admin_setting_controlled_values: [] 
#  
# # Specify list of additional file patterns that should not be synced to the iManage Work Server 
# # Example: 
# # additional_ignore_file_patterns:  
# # - '*.ext1'  
# # - '*.ext2' 
# # Specify list of additional folder patterns that should not be synced to the iManage Work Server 
# # Example: 
# # additional_ignore_folder_patterns:  
# # - folder_1  
# # - folder_2 
# # If true, then if a document is deleted and there are multiple references to a document in different folders, the document and all of its references will be deleted. If false, then if a document is deleted and there are multiple references to a document, just the individual reference will be deleted from the folder where the delete took place, and not the document 
# # Example: 
# # delete_all_document_references: false 
# delete_all_document_references: false 
#  
# # Enable emails to be downloaded when using container download feature. 
# # Example: 
# # allow_bulk_email_download: false 
# allow_bulk_email_download: false 
#  
# # Allow the copying of folders within the Drive to a destination outside the Drive 
# # Example: 
# # allow_folder_copy_outside_drive: false 
# allow_folder_copy_outside_drive: false 
#  
# # Specify the default checkin mode which is new version by default 
# # Example: 
# # checkin_mode_new_version: true 
# checkin_mode_new_version: true 
#  
# # Specify the number of days to allow document to copied from the document changelog.  Set this value to zero to disable the ability to copy documents from the changelog. 
# # Example: 
# # days_to_allow_document_changelog_copy: 3 
# days_to_allow_document_changelog_copy: 7 
#  
# # Specify the number of days to keep local document changes in document change log 
# # Example: 
# # days_to_keep_document_changelog_entries: 30 
# days_to_keep_document_changelog_entries: 30 
#  
# # Specify the default setting of whether or not to allow document deletion 
# # Example: 
# # delete_documents: true 
# delete_documents: true 
#  
# # Specify the default setting of whether or not to allow folder deletion 
# # Example: 
# # delete_folders: true 
# delete_folders: false 
#  
# # Specify a different iManage Drive root working directory.  The directory value must be on a locally attached device.  Look below for detailed description of drive_user_root_dir.   Defaults to: 'C:\Users' on Windows.    Defaults to: '/Users' on Mac. 
# # Example: 
# # drive_user_root_dir: C:\iManageDriveRootDir 
# # Override default value for enabling container downloads. 
# # Example: 
# # enable_container_download: false 
# # Enable the use of the windows ssl context adapter to load certificates from windows machine 
# # Example: 
# # enable_windows_ssl_context_adapter: false 
# enable_windows_ssl_context_adapter: true 
#  
# # Enable the use of the ssl context adapter to load certificates from mac keychain 
# # Example: 
# # enable_ssl_context_adapter: false 
# enable_mac_ssl_context_adapter: false 
#  
# # Enables the proxy auto-configuration.  The proxy_pac_url should also be set 
# enable_pac_proxy: false 
#  
# # Set to True to enable recent and my workspaces folder to be available on your local file system 
# # Example: 
# # enable_recent_my_workspaces_folder: true 
# enable_recent_my_workspaces_folder: false 
#  
# # Set this option to false if you do not want the iManage panel to pop up when syncing or unlinking a workspace, regardless of the Preferences > Notifications settings. The valid values are false and true. The default value is true. 
# # Example: 
# # enable_sync_progress_dialog: true 
# enable_sync_progress_dialog: true 
#  
# # Once enabled, a user-friendly iManage Drive sidebar shortcut will be added similar to OneDrive. 
# # Example: 
# # enable_windows_sidebar: true 
# enable_windows_sidebar: true 
#  
# # List of all urls user should be able to connect to 
# # Example: 
# # work_server_urls:  
# # - https://host1.xyz.com  
# # - https://host2.xyz.com 
# work_server_urls: [] 
#  
# # Configure a list of processes that may read iManage Drive documents. 
# # Example: 
# # hydration_allow_list:  
# #- winword.exe  
# #- cat.exe 
# hydration_allow_list: [] 
#  
# # Enable the option to specify a list of allowed processes for reading iManage Drive Documents 
# # Example: 
# # hydration_allow_list_enabled: true 
# hydration_allow_list_enabled: false 
#  
# # Configure a list of processes that may never read iManage Drive documents. 
# # Example: 
# # hydration_deny_list:  
# #- winword.exe  
# #- cat.exe 
# hydration_deny_list: [] 
#  
# # Enable to ignore all emails when syncing workspaces 
# # Example: 
# # ignore_emails: false 
# ignore_emails: false 
#  
# # List of languages that user can choose from in the preferences dialog.   Possible values: en,fr,es,de,pt,ja,zh  Which corresponds to English, French, Spanish, Dutch, Portuguese, Japanese, Chinese accordingly. 
# # Example: 
# # language_options:  
# #- en 
# #- fr 
# #- es 
# #- de 
# #- pt 
# #- ja 
# #- zh 
# language_options: ['en', 'fr', 'es', 'de', 'pt', 'ja', 'zh'] 
#  
# # Specify the local_rest_service_port for the iManage Drive API. When set to 0, a dynamic port will be chosen. 
# # Example: 
# # local_rest_service_port: 8010 
# # Specify the maximum number of items to show in my workspaces folder on the local filesystem 
# # Example: 
# # max_items_to_show_in_my_workspaces: 100 
# max_items_to_show_in_my_workspaces: 100 
#  
# # Specify the maximum number of items to show in recent workspaces folder on the local filesystem 
# # Example: 
# # max_items_to_show_in_recent_workspaces: 100 
# max_items_to_show_in_recent_workspaces: 100 
#  
# # Change the maximum number of workspaces or matters that can be synced.  The recommended maximum and default is 20. 
# # Example: 
# # maximum_matters_limit: 20 
# maximum_matters_limit: 20 
#  
# # Configure the number of megabytes of disk space remaining before iManage Drive prevents downloading of additional content. Defaults to 2GB. 
# # Example: 
# # min_free_space_for_download_mb: 2048 
# min_free_space_for_download_mb: 2048 
#  
# # Specify the drive letter to map to the %homepath%/iManageDrive directory 
# # Example: 
# # native_drive_letter: S 
# native_drive_letter: M 
#  
# # Minutes between reminding user that there are items to confirm sync to the DMS that must be addressed. 
# # Example: 
# # prompt_for_sync_confirmation_reminder: 5 
# prompt_for_sync_confirmation_reminder: 5 
#  
# # Minutes between reminding user that there are sync issues that must be addressed. 
# # Example: 
# # prompt_for_sync_issue_reminder: 60 
# prompt_for_sync_issues_reminder: 60 
#  
# # The url of a proxy auto configuration file.  enable_pac_proxy must also be set to true to enable this. 
# # 0: no proxy  1: auto-detect system proxy  2: use manual proxy set by user or by administrator. 
# # Example: 
# # proxy_server_mode: 1 
# proxy_server_mode: 1 
#  
# # proxy url for the drive to use when making web/api requests. proxy_type can be [http, socks4, socks5] 
# # Example: 
# # proxy_server_url: http://localhost:8010 
# # Specify the number of seconds to wait before automatically refreshing the recent and my workspaces folders on the local filesystem. Defaults to never. 
# # Example: 
# # refresh_recent_my_matters_frequency_in_seconds: 86400 
# # Controls the maximum number of results to show when searching. The maximum value that can be specific is 500, anything above 500 will be capped at 500. 
# # Example: 
# # search_show_max_results: 30 
# search_show_max_results: 30 
#  
# # Specify the maximum length of a workspace name.  The workspace name will be truncated to this length if the workspace name is longer. 
# # Example: 
# # maximum_workspace_name_length: 50 
# maximum_workspace_name_length: 150 
#  
# # Specify the default setting of the automated sync frequency in minutes, minimum value is 30.  Disable automated syncing by setting value to 0.  The user can change the default value in preferences. 
# # Example: 
# # sync_frequency: 30 
# sync_frequency: 30 
#  
# # Once this count of deletes is hit, the user will need to confirm document deletes that need to be synced to the server. Value will always be less than or equal to 'trigger_confirmation_delete_count' 
# # Example: 
# # trigger_confirmation_delete_count: 10 
# trigger_confirmation_delete_count: 10 
#  
# # Once this count of changes is hit, the user will need to confirm changes that need to be synced to the server. 
# # Example: 
# # trigger_confirmation_change_count: 10 
# trigger_confirmation_change_count: 10 
#  
# # Different user roles will have different options available in UI: ('user', 'admin', 'dev', 'developer') 
# # Example: 
# # user_role: user 
# user_role: user 
#  
# # Frequency to garbage collect unused encrypted files stored locally. Time format in minutes. 
# # Example: 
# # frequency_to_reclaim_unused_encrypted_files: 1440 
# frequency_to_reclaim_unused_encrypted_files: 1440 
#  
# # Drive will alert users when it has not synced files in the Outbox after a defined period of time. The letter following defines the time in seconds, minutes, hours or days. For example, one second resolves to '1s', one minute resolves to '1m', one hour resolves to '1h' and one day resolves to '1d'. The default value is one day - '1d'. To disable this feature, set value to 0. 
# # Example: 
# # time_before_alerting_sync_issues: '1d' 
# time_before_alerting_sync_issues: 1d 
#  
# # When set, Drive will update the 'from_work_server_url' to the 'to_work_server_url'. This will update the account associated with the 'from_work_server_url' to the 'to_work_server_url'. This should only be configured if there was a migration from the 'from_work_server_url' to the 'to_work_server_url'. The migration must be complete before configuring this admin setting and must host the same library names and workspace ID's as the original work server. 
# # Example: 
# # rename_work_server_urls:  
# # - from_work_server_url: https://server1  
# #   to_work_server_url: https://server2 
# rename_work_server_urls: [] 
#  
